Skip to content

Retrieve all brands with optional filters

Request

Security
bearer
Query
userIdnumber

Filter by related userId (via UserBrand relation)

Example:userId=42
titlestring

The title of the brand

Example:title=Axiomera
organizationIdArray of numbers

The organizationId of the brand

Example:organizationId=1
clientAccountIdArray of numbers

The clientAccountId of the brand

Example:clientAccountId=1
pagenumber, >= 0

Page number (0-based)

Default:0
Example:page=0
pageSizenumber, [ 1 .. 100 ]

Number of items per page

Default:10
Example:pageSize=10
sortBy[0][field]string

First sort field

Enum:"id""title""isEnabled""createdAt""updatedAt""organizationId""clientAccountId"
sortBy[0][dir]string

First sort direction

Enum:"asc""desc"
sortBy[1][field]string

Second sort field

Enum:"id""title""isEnabled""createdAt""updatedAt""organizationId""clientAccountId"
sortBy[1][dir]string

Second sort direction

Enum:"asc""desc"
curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/heydonto/openapi/brands?userId=42&title=Axiomera&organizationId=1&clientAccountId=1&page=0&pageSize=10&sortBy%5B0%5D%5Bfield%5D=id&sortBy%5B0%5D%5Bdir%5D=asc&sortBy%5B1%5D%5Bfield%5D=id&sortBy%5B1%5D%5Bdir%5D=asc' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

List of brands retrieved successfully.

Bodyapplication/json
dataArray of objects(BrandDto)required

Array of brands

metaobject(PaginationMetaDto)required

Pagination metadata

Response
{ "data": [ { … } ], "meta": { "page": 0, "pageSize": 10, "total": 150, "totalPages": 15, "hasNext": true, "hasPrevious": false } }